    function 云支付二(name,event1,event2){   
        //name表示组件在被创建时的名称，event表示组件拥有的事件
        //如果组件有多个事件，可以在后面继续填写这些事件名称
        //例如：function 云支付二(name,event1,event2,event3){
        	
		//开发文档参考：http://ask.dcloud.net.cn/article/499
		
        //组件内部属性，仅供组件内部使用：
        this.名称 = name;
        this.channels = null;
		this.w = null;
		
        //组件命令：
        this.检测支付通道 = function (){
			plus.payment.getChannels(function(s) {
				var alipay = false;
				var wxpay = false;
				for (var i = 0; i < s.length; i++) {
					if(s[i].serviceReady){
						if(s[i].id=="alipay"){
							alipay = true;
						}else if(s[i].id=="wxpay"){
							wxpay = true;
						}
					}
				}
				this.channels = s;
				event_a(true,alipay,wxpay);
			}, function(e) {
				event_a(false,false,false);
			});            
        } 
        
       
        //组件事件
		function event_a(结果,支付宝,微信支付){
       		if(event1!=null){
 				event1(结果,支付宝,微信支付);       	
        	}
		}

		function getRandomHost() {
			var hosts = ["https://apibj.beecloud.cn",
			"https://apihz.beecloud.cn",
			"https://apisz.beecloud.cn",
			"https://apiqd.beecloud.cn"
			];
			return "" + hosts[parseInt(3 * Math.random())] + "/2/rest/app/bill";
		}
		
		function getPayChannel(bc_channel) {
			var dc_channel_id = "";
			switch (bc_channel) {
				case "ALI_APP":
					dc_channel_id = "alipay";
					break;
				case "WX_APP":
					dc_channel_id = "wxpay";
					break;
				default:
					break;
			} 

			for (var i in this.channels) {
				if (this.channels[i].id == dc_channel_id) {
					return this.channels[i];
				}
			}
			return null;
		}

		 function genBillNo() {
			var d = new Date();
			var vYear = d.getFullYear();
			var vMon = d.getMonth() + 1;
			var vDay = d.getDate();
			var h = d.getHours();
			var m = d.getMinutes();
			var se = d.getSeconds();
			var ms = d.getMilliseconds();
			billno = "" + vYear + (vMon < 10 ? "0" + vMon : vMon) + (vDay < 10 ? "0" + vDay : vDay) + (h < 10 ? "0" + h : h) + (m < 10 ? "0" + m : m) + (se < 10 ? "0" + se : se) + ms;
			return billno;
		}
		
        //组件命令：
        this.开始支付 = function (appid,bcChannel,bcTitle,fee,option,url){
			if(bcChannel==1){
				temp = "ALI_APP";
			}else{
				temp = "WX_APP";
			}
			var payData = {
				app_id: appid,
				channel: temp,
				title: bcTitle,
				total_fee: fee,
				bill_no: genBillNo(),
				optional: option,
				bill_timeout: 360,
				return_url: url
			};
			doPay(payData,event_c,event_d);			
		}

		function doPay(payData, cbsuccess, cberror) {
			if(this.w){
			    return;
			}
			this.w = plus.nativeUI.showWaiting();
			mui.ajax(getRandomHost(), {
				data: JSON.stringify(payData),
				type: "post",
				dataType: "json",
				contentType: "application/json",
				success: function(data) {
					this.w.close();
					this.w = null;
					var paySrc = "";
					if (data.result_code == 0) {
						var payChannel = getPayChannel(payData.channel);
						if (payChannel) {
							if (payChannel.id === "alipay"){ 
								paySrc = data.order_string;
							} else if (payChannel.id === "wxpay") {
								var statement = {};
								statement.appid = data.app_id;
								statement.noncestr = data.nonce_str;
								statement.package = data.package;
								statement.partnerid = data.partner_id;
								statement.prepayid = data.prepay_id;
								statement.timestamp = parseInt(data.timestamp);
								statement.sign = data.pay_sign;
								paySrc = JSON.stringify(statement);
							}
							plus.payment.request(payChannel, paySrc, cbsuccess, cberror);
						}
					} else {
						var bcError = {};
						bcError.code = data.result_code;
						bcError.message = data.result_msg + ":" + data.err_detail;
						cberror(bcError);
					}
				},
				error: function(xhr, errorType, error) {
					this.w.close();
					this.w = null;
					cberror(error);
				}
			});
		}
		
		//组件事件
		function event_c(返回信息){
			if(event2!=null){
				event2(true,返回信息);
			}
		}
		
		//组件事件
		function event_d(返回信息){
			if(event2!=null){
				event2(false,返回信息);
			}			
		}
		
    }